| FFmpegKit iOS / macOS / tvOS API 4.5

Data Structures | Typedefs | Functions | Variables
fftools_ffmpeg_videotoolbox.c File Reference

Go to the source code of this file.

## Data Structures
struct | VTContext

## Typedefs
typedef struct VTContext | VTContext

## Functions
static int | videotoolbox_retrieve_data (AVCodecContext *s, AVFrame *frame)
static void | videotoolbox_uninit (AVCodecContext *s)
int | videotoolbox_init (AVCodecContext *s)

## Variables
__thread char * | videotoolbox_pixfmt

## Typedef Documentation

## ◆ VTContext

typedef struct VTContext VTContext

## Function Documentation

## ◆ videotoolbox_init()

int videotoolbox_init | ( | AVCodecContext * | s | ) |

Definition at line 129 of file fftools_ffmpeg_videotoolbox.c.

## ◆ videotoolbox_retrieve_data()

static int videotoolbox_retrieve_data | ( | AVCodecContext * | s,
|  | AVFrame * | frame
| ) |  |
| static

Definition at line 37 of file fftools_ffmpeg_videotoolbox.c.

## ◆ videotoolbox_uninit()

static void videotoolbox_uninit | ( | AVCodecContext * | s | ) |
| static

Definition at line 115 of file fftools_ffmpeg_videotoolbox.c.

## Variable Documentation

## ◆ videotoolbox_pixfmt

__thread char* videotoolbox_pixfmt

Definition at line 35 of file fftools_ffmpeg_videotoolbox.c.